## gogoc 1.2

=== Makefile ===
#
# Global gogoCLIENT Makefile.
#
all:
	cd gogoc-tsp && $(MAKE) all

install:
	cd gogoc-tsp && $(MAKE) install

clean:
	cd gogoc-tsp && $(MAKE) cleanall

=== gogoc-config/Makefile ===
# ###########################################################################
#
# $Id: Makefile,v 1.1 2009/11/20 16:30:23 jasminko Exp $
#
#  Copyright (c) 2007 gogo6 Inc. All rights reserved.
#
#  For license information refer to CLIENT-LICENSE.TXT
#
# Author: Charles Nepveu
#
# ###########################################################################
#

OBJ_DIR=objs
BIN_DIR=bin
LIB_DIR=lib
INC_DIR=gogocconfig
TARGET=$(LIB_DIR)/libgogocconfig.a

GOGOCPAL=../gogoc-pal
GOGOCPALINC_DIR=$(GOGOCPAL)/out_inc
GOGOCPALDEFS_DIR=$(GOGOCPAL)/defs
GOGOCPALLIB_DIR=$(GOGOCPAL)/out_lib
GOGOCPALLIB=gogocpal

CC=gcc
CXX=g++
LD=g++
RANLIB=ranlib
AR=ar

ifdef DEBUG
CXXFLAGS=-g -I. -I$(GOGOCPALINC_DIR) -I$(GOGOCPALDEFS_DIR) -Wall -D_REENTRANT -DDEBUG $(HACCESS_DEFINES) $(EXTRA_CXXFLAGS)
CFLAGS=-g -I. -I$(GOGOCPALINC_DIR) -I$(GOGOCPALDEFS_DIR) -Wall -D_REENTRANT -DDEBUG $(HACCESS_DEFINES) $(EXTRA_CFLAGS)
LDFLAGS=-g -L$(LIB_DIR) -L$(GOGOCPALLIB_DIR) -lgogocconfig -l$(GOGOCPALLIB) $(EXTRA_LDFLAGS)
else
CXXFLAGS=-O2 -I. -I$(GOGOCPALINC_DIR) -I$(GOGOCPALDEFS_DIR) -Wall -D_REENTRANT -DNDEBUG $(HACCESS_DEFINES) $(EXTRA_CXXFLAGS)
CFLAGS=-O2 -I. -I$(GOGOCPALINC_DIR) -I$(GOGOCPALDEFS_DIR) -Wall -D_REENTRANT -DNDEBUG $(HACCESS_DEFINES) $(EXTRA_CFLAGS)
LDFLAGS=-O2 -L$(LIB_DIR) -L$(GOGOCPALLIB_DIR) -lgogocconfig -l$(GOGOCPALLIB) $(EXTRA_LDFLAGS)
endif


.PHONY: all clean test_targets

#
#
all: $(TARGET) $(BIN_DIR)

$(OBJ_DIR):
	mkdir -p $(OBJ_DIR)

$(BIN_DIR):
	mkdir -p $(BIN_DIR)

$(LIB_DIR):
	mkdir -p $(LIB_DIR)

OBJS=$(OBJ_DIR)/namevalueparser.o \
	$(OBJ_DIR)/config.o \
	$(OBJ_DIR)/namevalueconfig.o \
	$(OBJ_DIR)/gogocvalidation.o \
	$(OBJ_DIR)/gogocconfig.o \
	$(OBJ_DIR)/gogoc_c_wrapper.o \
	$(OBJ_DIR)/gogocuistrings.o \
	$(OBJ_DIR)/haccess_devmap_c_wrap.o \
	$(OBJ_DIR)/haccessdevicemappingconfig.o


$(OBJ_DIR)/namevalueparser.o: src/namevalueparser.cc $(INC_DIR)/namevalueparser.h
	$(CXX) $(CXXFLAGS) -c -o $(OBJ_DIR)/namevalueparser.o src/namevalueparser.cc

$(OBJ_DIR)/config.o: src/config.cc $(INC_DIR)/config.h
	$(CXX) $(CXXFLAGS) -c -o $(OBJ_DIR)/config.o src/config.cc

$(OBJ_DIR)/namevalueconfig.o: src/namevalueconfig.cc $(INC_DIR)/namevalueconfig.h
	$(CXX) $(CXXFLAGS) -c -o $(OBJ_DIR)/namevalueconfig.o src/namevalueconfig.cc

$(OBJ_DIR)/gogocvalidation.o: src/gogocvalidation.cc $(INC_DIR)/gogocvalidation.h
	$(CXX) $(CXXFLAGS) -c -o $(OBJ_DIR)/gogocvalidation.o src/gogocvalidation.cc

$(OBJ_DIR)/gogocconfig.o: src/gogocconfig.cc $(INC_DIR)/gogocconfig.h
	$(CXX) $(CXXFLAGS) -c -o $(OBJ_DIR)/gogocconfig.o src/gogocconfig.cc

$(OBJ_DIR)/gogoc_c_wrapper.o: src/gogoc_c_wrapper.cc $(INC_DIR)/gogoc_c_wrapper.h
	$(CXX) $(CXXFLAGS) -c -o $(OBJ_DIR)/gogoc_c_wrapper.o src/gogoc_c_wrapper.cc

$(OBJ_DIR)/gogocuistrings.o: src/gogocuistrings.c $(INC_DIR)/gogocuistrings.h
	$(CC) $(CFLAGS) -c -o $(OBJ_DIR)/gogocuistrings.o src/gogocuistrings.c

$(OBJ_DIR)/test_namevalue.o: src/test_namevalue.cc
	$(CXX) $(CXXFLAGS) -c -o $(OBJ_DIR)/test_namevalue.o src/test_namevalue.cc

$(OBJ_DIR)/test_c_wrapper.o: src/test_c_wrapper.c
	$(CC) $(CFLAGS) -c -o $(OBJ_DIR)/test_c_wrapper.o src/test_c_wrapper.c

$(OBJ_DIR)/haccess_devmap_c_wrap.o: src/haccess_devmap_c_wrap.cc
	$(CXX) $(CXXFLAGS) -c -o $(OBJ_DIR)/haccess_devmap_c_wrap.o src/haccess_devmap_c_wrap.cc

$(OBJ_DIR)/haccessdevicemappingconfig.o: src/haccessdevicemappingconfig.cc
	$(CXX) $(CXXFLAGS) -c -o $(OBJ_DIR)/haccessdevicemappingconfig.o src/haccessdevicemappingconfig.cc

test_targets: $(TARGET) $(OBJ_DIR)/test_namevalue.o $(OBJ_DIR)/test_c_wrapper.o $(BIN_DIR)
	$(LD) -o $(BIN_DIR)/test_namevalue $(OBJ_DIR)/test_namevalue.o $(LDFLAGS)
	$(LD) -o $(BIN_DIR)/test_c_wrapper $(OBJ_DIR)/test_c_wrapper.o $(LDFLAGS)
	

$(TARGET): $(OBJ_DIR) $(OBJS) $(LIB_DIR)
	$(AR) cru $(TARGET) $(OBJS)
	$(RANLIB) $(TARGET)

clean:
	@echo -n "Cleaning up workspace... "
	@rm -rf $(OBJ_DIR) $(BIN_DIR) $(LIB_DIR)
	@echo "done."

=== gogoc-messaging/Makefile ===
#
# $Id: Makefile,v 1.1 2009/11/20 16:34:50 jasminko Exp $
#
#  Copyright (c) 2007 gogo6 Inc. All rights reserved.
#
#  For license information refer to CLIENT-LICENSE.TXT
#
# Author: Charles Nepveu
#


OBJ_DIR=objs
BIN_DIR=bin
LIB_DIR=lib
INC_DIR=gogocmessaging
TARGET=$(LIB_DIR)/libgogocmessaging.a

GOGOCPAL=../gogoc-pal
GOGOCPALINC_DIR=$(GOGOCPAL)/out_inc
GOGOCPALDEFS_DIR=$(GOGOCPAL)/defs
GOGOCPALLIB_DIR=$(GOGOCPAL)/out_lib
GOGOCPALLIB=gogocpal

CC=gcc
CXX=g++
LD=g++
RANLIB=ranlib
AR=ar

ifdef DEBUG
CXXFLAGS=-g -I. -I$(GOGOCPALINC_DIR) -I$(GOGOCPALDEFS_DIR) -Wall -D_REENTRANT -DDEBUG $(HACCESS_DEFINES) $(EXTRA_CXXFLAGS)
CFLAGS=-g -I. -I$(GOGOCPALINC_DIR) -I$(GOGOCPALDEFS_DIR) -Wall -D_REENTRANT -DDEBUG $(HACCESS_DEFINES) $(EXTRA_CFLAGS)
LDFLAGS=-g -L$(LIB_DIR) -L$(GOGOCPALLIB_DIR) -lgogocmessaging -l$(GOGOCPALLIB) $(EXTRA_LDFLAGS)
else
CXXFLAGS=-O2 -I. -I$(GOGOCPALINC_DIR) -I$(GOGOCPALDEFS_DIR) -Wall -D_REENTRANT -DNDEBUG $(HACCESS_DEFINES) $(EXTRA_CXXFLAGS)
CFLAGS=-O2 -I. -I$(GOGOCPALINC_DIR) -I$(GOGOCPALDEFS_DIR) -Wall -D_REENTRANT -DNDEBUG $(HACCESS_DEFINES) $(EXTRA_CFLAGS)
LDFLAGS=-O2 -L$(LIB_DIR) -L$(GOGOCPALLIB_DIR) -lgogocmessaging -l$(GOGOCPALLIB) $(EXTRA_LDFLAGS)
endif


.PHONY: all clean test_targets


#
#
all: $(TARGET) $(BIN_DIR)

$(OBJ_DIR):
	mkdir -p $(OBJ_DIR)

$(BIN_DIR):
	mkdir -p $(BIN_DIR)

$(LIB_DIR):
	mkdir -p $(LIB_DIR)

OBJS=$(OBJ_DIR)/ipcserver.o \
	$(OBJ_DIR)/ipcclient.o \
	$(OBJ_DIR)/servent.o \
	$(OBJ_DIR)/message.o \
	$(OBJ_DIR)/messagesender.o \
	$(OBJ_DIR)/communicationsmgr.o \
	$(OBJ_DIR)/clientmsgtranslator.o \
	$(OBJ_DIR)/clientmsgsender.o \
	$(OBJ_DIR)/servermsgtranslator.o \
	$(OBJ_DIR)/servermsgsender.o \
	$(OBJ_DIR)/clientmessengerimpl.o \
	$(OBJ_DIR)/guimessengerimpl.o \
	$(OBJ_DIR)/gogoc_c_wrapper.o \
	$(OBJ_DIR)/gogocuistrings.o


$(OBJ_DIR)/ipcserver.o: src/ipcserver.cc
	$(CXX) $(CXXFLAGS) -c -o $(OBJ_DIR)/ipcserver.o src/ipcserver.cc

$(OBJ_DIR)/ipcclient.o: src/ipcclient.cc
	$(CXX) $(CXXFLAGS) -c -o $(OBJ_DIR)/ipcclient.o src/ipcclient.cc

$(OBJ_DIR)/servent.o: src/servent.cc
	$(CXX) $(CXXFLAGS) -c -o $(OBJ_DIR)/servent.o src/servent.cc

$(OBJ_DIR)/message.o: src/message.cc
	$(CXX) $(CXXFLAGS) -c -o $(OBJ_DIR)/message.o src/message.cc

$(OBJ_DIR)/messagesender.o: src/messagesender.cc
	$(CXX) $(CXXFLAGS) -c -o $(OBJ_DIR)/messagesender.o src/messagesender.cc

$(OBJ_DIR)/communicationsmgr.o: src/communicationsmgr.cc
	$(CXX) $(CXXFLAGS) -c -o $(OBJ_DIR)/communicationsmgr.o src/communicationsmgr.cc

$(OBJ_DIR)/clientmsgtranslator.o: src/clientmsgtranslator.cc
	$(CXX) $(CXXFLAGS) -c -o $(OBJ_DIR)/clientmsgtranslator.o src/clientmsgtranslator.cc

$(OBJ_DIR)/clientmsgsender.o: src/clientmsgsender.cc
	$(CXX) $(CXXFLAGS) -c -o $(OBJ_DIR)/clientmsgsender.o src/clientmsgsender.cc

$(OBJ_DIR)/servermsgtranslator.o: src/servermsgtranslator.cc
	$(CXX) $(CXXFLAGS) -c -o $(OBJ_DIR)/servermsgtranslator.o src/servermsgtranslator.cc

$(OBJ_DIR)/servermsgsender.o: src/servermsgsender.cc
	$(CXX) $(CXXFLAGS) -c -o $(OBJ_DIR)/servermsgsender.o src/servermsgsender.cc

$(OBJ_DIR)/clientmessengerimpl.o: src/clientmessengerimpl.cc
	$(CXX) $(CXXFLAGS) -c -o $(OBJ_DIR)/clientmessengerimpl.o src/clientmessengerimpl.cc

$(OBJ_DIR)/guimessengerimpl.o: src/guimessengerimpl.cc
	$(CXX) $(CXXFLAGS) -c -o $(OBJ_DIR)/guimessengerimpl.o src/guimessengerimpl.cc

$(OBJ_DIR)/gogoc_c_wrapper.o: src/gogoc_c_wrapper.cc
	$(CXX) $(CXXFLAGS) -c -o $(OBJ_DIR)/gogoc_c_wrapper.o src/gogoc_c_wrapper.cc

$(OBJ_DIR)/gogocuistrings.o: src/gogocuistrings.c
	$(CC) $(CFLAGS) -c -o $(OBJ_DIR)/gogocuistrings.o src/gogocuistrings.c

$(OBJ_DIR)/test_ipclayer.o: src/test_ipclayer.cc
	$(CXX) $(CXXFLAGS) -c -o $(OBJ_DIR)/test_ipclayer.o src/test_ipclayer.cc

$(OBJ_DIR)/test_messaginglayer.o: src/test_messaginglayer.cc
	$(CXX) $(CXXFLAGS) -c -o $(OBJ_DIR)/test_messaginglayer.o src/test_messaginglayer.cc

$(OBJ_DIR)/test_gogocemulator.o: src/test_gogocemulator.c
	$(CC) $(CFLAGS) -c -o $(OBJ_DIR)/test_gogocemulator.o src/test_gogocemulator.c

test_targets: $(TARGET) $(OBJ_DIR)/test_ipclayer.o $(OBJ_DIR)/test_messaginglayer.o $(OBJ_DIR)/test_gogocemulator.o
	$(LD) -o $(BIN_DIR)/test_ipclayer $(OBJ_DIR)/test_ipclayer.o $(LDFLAGS)
	$(LD) -o $(BIN_DIR)/test_messaginglayer $(OBJ_DIR)/test_messaginglayer.o $(LDFLAGS)
	$(LD) -o $(BIN_DIR)/test_gogocemulator $(OBJ_DIR)/test_gogocemulator.o $(LDFLAGS}


$(TARGET): $(OBJ_DIR) $(OBJS) $(LIB_DIR)
	$(AR) cru $(TARGET) $(OBJS)
	$(RANLIB) $(TARGET)

clean:
	@echo -n "Cleaning up workspace... "
	@rm -rf $(OBJ_DIR) $(BIN_DIR) $(LIB_DIR)
	@echo "done."

=== gogoc-pal/Makefile ===
# ###########################################################################
#
# $Id: Makefile,v 1.2 2010/03/07 16:38:30 carl Exp $
#
#  Copyright (c) 2007 gogo6 Inc. All rights reserved.
#
#  For license information refer to CLIENT-LICENSE.TXT
#
# Description: GNU Makefile for module library gogoc-pal 
#              (gogoCLIENT Platform Abstraction Layer)
#
# Author: Charles Nepveu
#
# Date: October 2007
#
# ###########################################################################
#

PWD           :=$(shell pwd)
PLATFORM_DIR  :=$(PWD)/platform
OBJS_DIR      :=$(PWD)/objs
DEFS_DIR      :=$(PWD)/defs
OUT_LIB_DIR   :=$(PWD)/out_lib
OUT_INC_DIR   :=$(PWD)/out_inc
LIB_NAME      :=libgogocpal.a
GOGOCPAL_LIB   :=${OUT_LIB_DIR}/${LIB_NAME}
PLATFORM      :=$(shell [ -z "$(platform)" ] && uname | tr "[A-Z]" "[a-z]" || echo "$(platform)" )

SUPPORTED_PLATFORMS=linux netbsd freebsd openbsd darwin sunos gogocpe
CC=gcc


# Export these variables to sub-makes.
export PLATFORM PLATFORM_DIR OBJS_DIR DEFS_DIR OUT_INC_DIR CC DEBUG


#
# ###########################################################################
#
.PHONY: platform-check platform-obj platform-lib platform-inc all clean

all: platform-check platform-obj platform-lib platform-inc

# This makefile target will check the platform.
#
platform-check:
	@for plat in ${SUPPORTED_PLATFORMS} ; do \
		[ "${PLATFORM}" = "$$plat" ] && platform_ok=xxx || platform_ok=$$platform_ok ; \
	done && ([ -z "$$platform_ok" ] && { \
	    echo ; \
	    echo "Error: Target platform <${PLATFORM}> is invalid!"; \
	    echo "Syntax: make platform=<target platform>"; \
	    echo ; \
	    echo "    where <target platform> is one of the following:"; \
	    echo "        linux        for Linux."          ; \
	    echo "        freebsd      for FreeBSD."        ; \
	    echo "        openbsd      for OpenBSD."        ; \
	    echo "        netbsd       for NetBSD."         ; \
	    echo "        darwin       for Mac OS X darwin."; \
	    echo "        openwrt      for OpenWRT."        ; \
	    echo "        sunos        for Sun/Solaris."    ; \
	    echo ; \
	    exit 1;\
	} || echo "Setting up PAL for platform ${PLATFORM} ..." ; )


# This makefile target will compile the platform PAL objects.
#
platform-obj:
	@echo "Building PAL objects for platform ${PLATFORM} ..."
	@[ -d ${OBJS_DIR} ]  ||  mkdir -p ${OBJS_DIR}
	@($(MAKE) -C ${PLATFORM_DIR} platform-obj) || exit 1
	@echo ;


# This makefile target will create the platform PAL library.
#
platform-lib:
	@echo "Creating ${LIB_NAME} PAL library for platform ${PLATFORM} ..."
	@[ -d ${OUT_LIB_DIR} ]  ||  mkdir -p ${OUT_LIB_DIR}
	@$(AR) -crusv ${GOGOCPAL_LIB} $(wildcard ${OBJS_DIR}/*)
	@echo ;


# This makefile target will copy the platform includes to out_inc.
#
platform-inc:
	@echo "Copying PAL header files for platform ${PLATFORM} ..."
	@[ -d ${OUT_INC_DIR} ]  ||  mkdir -p ${OUT_INC_DIR}
	@($(MAKE) -C ${PLATFORM_DIR} platform-inc) || exit 1
	@echo ;


#
# ###########################################################################
#

clean:
	@echo ;
	rm -rf ${OBJS_DIR}
	rm -rf ${OUT_INC_DIR}
	rm -rf ${OUT_LIB_DIR}
	@echo "Clean complete"
	@echo ;

#
# ###########################################################################

=== gogoc-tsp/Makefile ===
# ###########################################################################
#
# $Id: Makefile,v 1.2 2010/03/07 19:49:54 carl Exp $
#
#  Copyright (c) 2007 gogo6 Inc. All rights reserved.
#
#  For license information refer to CLIENT-LICENSE.TXT
#
# Description: GNU Makefile for gogoCLIENT application.
#              This application requires the following modules:
#              - gogoc-pal      : Platform Abstraction Layer
#              - gogoc-config   : Configuration Subsystem
#              - gogoc-messaging: Messaging Subsystem
#
# Usage:
#       make [platform=<your platform>] [DEBUG=1] all
#       make [platform=<your platform>] <installdir=/path/to/install> install
#       This makefile will attempt to detect your platform if not supplied.
#
# Author: Charles Nepveu
#
# Date: October 2007
#
# ###########################################################################
#

# NOTE: This makefile MUST be interpreted by GNU make.

PWD           :=$(shell pwd)
PLATFORM_DIR  :=$(PWD)/platform
OBJS_DIR      :=$(PWD)/objs
BIN_DIR       :=$(PWD)/bin
TARGET        :=$(BIN_DIR)/gogoc
GOGOCPAL_DIR   :=$(PWD)/../gogoc-pal
GOGOCPAL_INCDIR:=$(GOGOCPAL_DIR)/out_inc
GOGOCPAL_DEFDIR:=$(GOGOCPAL_DIR)/defs
GOGOCPAL_LIBDIR:=$(GOGOCPAL_DIR)/out_lib
GOGOCCFG_DIR   :=$(PWD)/../gogoc-config
GOGOCCFG_INCDIR:=$(GOGOCCFG_DIR)
GOGOCCFG_LIBDIR:=$(GOGOCCFG_DIR)/lib
GOGOCMSG_DIR   :=$(PWD)/../gogoc-messaging
GOGOCMSG_INCDIR:=$(GOGOCMSG_DIR)
GOGOCMSG_LIBDIR:=$(GOGOCMSG_DIR)/lib

PLATFORM      :=$(shell [ -z "$(platform)" ] && uname | tr "[A-Z]" "[a-z]" || echo "$(platform)" )
SUPPORTED_PLATFORMS=linux netbsd freebsd openbsd darwin sunos gogocpe

INSTALL_DIR   :=$(installdir)
INSTALL_BIN   :=$(INSTALL_DIR)/bin
INSTALL_MAN   :=$(INSTALL_DIR)/man
INSTALL_TEMPL :=$(INSTALL_DIR)/template


SUBDIRS=$(PWD)/src/lib \
	$(PWD)/src/net \
	$(PWD)/src/tsp \
	$(PWD)/src/xml \
	$(PLATFORM_DIR)/unix-common \
	$(PLATFORM_DIR)/$(PLATFORM) \
	$(PWD)/template \
	$(PWD)/conf \
	$(PWD)/man

CC_INC_PATHS=-I$(PLATFORM_DIR)/$(PLATFORM) -I$(PWD)/include -I$(GOGOCPAL_INCDIR) -I$(GOGOCPAL_DEFDIR) -I$(GOGOCCFG_INCDIR) -I$(GOGOCMSG_INCDIR)
LD_LIB_PATHS=-L$(GOGOCPAL_LIBDIR) -L$(GOGOCCFG_LIBDIR) -L$(GOGOCMSG_LIBDIR)
LD_LIBRARIES=-lgogocpal -lgogocconfig -lgogocmessaging

# Export these variables to sub-makes.
export PLATFORM_DIR PLATFORM BIN_DIR OBJS_DIR TARGET DEBUG CC_INC_PATHS LD_LIB_PATHS LD_LIBRARIES INSTALL_DIR INSTALL_BIN INSTALL_MAN INSTALL_TEMPL


#
# ###########################################################################
#
.PHONY: all platform-check check-gogoc-pal check-gogoc-config check-gogoc-messaging build-gogoc check-gogoc-install install clean cleanall

all: platform-check check-gogoc-pal check-gogoc-config check-gogoc-messaging build-gogoc


# This makefile target will check the platform.
#
platform-check:
	@for plat in ${SUPPORTED_PLATFORMS} ; do \
		[ "${PLATFORM}" = "$$plat" ] && platform_ok=xxx || platform_ok=$$platform_ok ; \
	done && ([ -z "$$platform_ok" ] && { \
	    echo ; \
	    echo "Error: Target platform <${PLATFORM}> is invalid!"; \
	    echo "Syntax: make platform=<target platform> all"; \
	    echo ; \
	    echo "    where <target platform> is one of the following:"; \
	    echo "        linux        for Linux."          ; \
	    echo "        freebsd      for FreeBSD."        ; \
	    echo "        openbsd      for OpenBSD."        ; \
	    echo "        netbsd       for NetBSD."         ; \
	    echo "        darwin       for Mac OS X darwin."; \
	    echo "        openwrt      for OpenWRT."        ; \
	    echo "        sunos        for Sun/Solaris."    ; \
	    echo ; \
	    exit 1;\
	} || echo "Building gogoCLIENT for platform ${PLATFORM} ..." ; )


# This makefile target will check and build the gogoCLIENT Platform 
# Abstraction Layer if it is not built.
#
check-gogoc-pal:
	@[ -d ${GOGOCPAL_DIR} ] || { \
	    echo "gogoCLIENT Platform Abstraction Layer module is not found. (${GOGOCPAL_DIR})"; \
	    exit 1 ; \
	}
	@[ -f ${GOGOCPAL_LIBDIR}/libgogocpal.a ] || { \
	    echo "Building gogoc-pal module ..." ; \
	    $(MAKE) -C ${GOGOCPAL_DIR} ; \
	}


# This makefile target will check and build the gogoCLIENT Configuration
# Subsystem if it is not built.
#
check-gogoc-config:
	@[ -d ${GOGOCCFG_DIR} ] || { \
	    echo "gogoCLIENT Configuration Subsystem module is not found. (${GOGOCCFG_DIR})"; \
	    exit 1 ; \
	}
	@[ -f ${GOGOCCFG_LIBDIR}/libgogocconfig.a ] || { \
	    echo "Building gogoc-config module ..." ; \
	    $(MAKE) -C ${GOGOCCFG_DIR} ; \
	}


# This makefile target will check and build the gogoCLIENT Messaging
# Subsystem if it is not built.
#
check-gogoc-messaging:
	@[ -d ${GOGOCMSG_DIR} ] || { \
	    echo "gogoCLIENT Messaging Subsystem module is not found. (${GOGOCMSG_DIR})"; \
	    exit 1 ; \
	}
	@[ -f ${GOGOCMSG_LIBDIR}/libgogocmessaging.a ] || { \
	    echo "Building gogoc-messaging module ..." ; \
	    $(MAKE) -C ${GOGOCMSG_DIR} ; \
	}


# This makefile target will build the gogoCLIENT.
#
build-gogoc:
	mkdir -p $(OBJS_DIR)
	mkdir -p $(BIN_DIR)
	@for dir in ${SUBDIRS}; do \
	    $(MAKE) -C $$dir all || exit 1; \
	done


# This makefile target will install the gogoCLIENT.
#
check-gogoc-install:
	@[ -n "$(INSTALL_DIR)" ] || { \
	    echo ; \
	    echo "Error: You must specify the install directory"; \
	    echo "Syntax: make [platform=<os-type>] installdir=</path/to/install> install"; \
	    echo ; \
	    exit 1;\
	}

install: check-gogoc-install all
	@mkdir -p $(INSTALL_DIR)
	@mkdir -p $(INSTALL_BIN)
	@mkdir -p $(INSTALL_MAN)
	@mkdir -p $(INSTALL_TEMPL)

	@for dir in ${SUBDIRS}; do \
	    $(MAKE) -C $$dir install || exit 1; \
	done

	@cp $(TARGET) $(INSTALL_BIN)
	@cp $(BIN_DIR)/gogoc.conf.sample $(INSTALL_BIN)
	@[ -f $(INSTALL_BIN)/gogoc.conf ] || { \
	    cp $(INSTALL_BIN)/gogoc.conf.sample $(INSTALL_BIN)/gogoc.conf; \
	}


# This makefile target will clean the build tree of the gogoCLIENT.
#
clean:
	@for dir in ${SUBDIRS}; do \
	    $(MAKE) -C $$dir clean || exit 1; \
	done
	rm -rf $(TARGET) $(BIN_DIR)/gogoc.conf.sample $(OBJS_DIR)


# This makefile target will clean the build tree of the gogoCLIENT,
# and the submodules.
#
cleanall: clean
	$(MAKE) -C ${GOGOCMSG_DIR} clean
	$(MAKE) -C ${GOGOCCFG_DIR} clean
	$(MAKE) -C ${GOGOCPAL_DIR} clean

=== gogoc-pal/platform/Makefile ===
# ###########################################################################
#
# $Id: Makefile,v 1.2 2010/03/07 16:38:30 carl Exp $
#
#  Copyright (c) 2007 gogo6 Inc. All rights reserved.
#
#  For license information refer to CLIENT-LICENSE.TXT
#
# Description: Makefile for module library gogoc-pal 
#              (gogoCLIENT Platform Abstraction Layer)
#
# Author: Charles Nepveu
#
# Date: August 2007
#
# ###########################################################################
#


#
# Target directory definition.
#
linux_CDIR=common unix-common
freebsd_CDIR=common unix-common
openbsd_CDIR=common unix-common
netbsd_CDIR=common unix-common netbsd
darwin_CDIR=common unix-common
sunos_CDIR=common unix-common
gogocpe_CDIR=common unix-common


#
# ###########################################################################
#
.PHONY: env-check platform-obj platform-inc


# This makefile target will check the execution context and environment.
#
env-check:
	@[ -n "${PLATFORM}" ]     || { echo "Error: Invalid environment." ; exit 1 ; }
	@[ -n "${PLATFORM_DIR}" ] || { echo "Error: Invalid environment." ; exit 1 ; }
	@[ -n "${OBJS_DIR}" ]     || { echo "Error: Invalid environment." ; exit 1 ; }
	@[ -n "${DEFS_DIR}" ]     || { echo "Error: Invalid environment." ; exit 1 ; }
	@[ -n "${OUT_INC_DIR}" ]  || { echo "Error: Invalid environment." ; exit 1 ; }


# This makefile target will compile the platform PAL objects.
#
platform-obj: env-check
	@for dir in $(${PLATFORM}_CDIR) ; do \
		$(MAKE) -C $$dir platform-obj ; \
	done


# This makefile target will copy the platform includes to out_inc.
#
platform-inc: env-check
	@for dir in $(${PLATFORM}_CDIR) ; do \
		$(MAKE) -C $$dir platform-inc ; \
	done


#
# ###########################################################################

=== gogoc-tsp/conf/Makefile ===
# ###########################################################################
#
# $Id: Makefile,v 1.1 2009/11/20 16:53:12 jasminko Exp $
#
#  For license information refer to CLIENT-LICENSE.TXT
#
# ###########################################################################
#
# NOTE: This makefile MUST be interpreted by GNU make.

# Include the platform makefile, if it exists.
-include $(PLATFORM_DIR)/$(PLATFORM)/platform.mak


all:

install: check-env gogoc.conf.sample

.PHONY: all install check-env gogoc.conf.sample clean


check-env:
	@[ -n "$(PLATFORM)" ] || { echo "Platform is undefined." ; exit 1 ; }
	@[ -n "$(INSTALL_DIR)" ] || { echo "Installation directory is undefined." ; exit 1 ; }

gogoc.conf.sample:
	@echo Generating basic configuration file
	@[ ! -f $(BIN_DIR)/gogoc.conf.sample ] || { \
	    rm -f $(BIN_DIR)/gogoc.conf.sample; \
	}
	@sed -e "s+@ifname_v4v6@+$(PLATFORM_V4V6)+" \
	     -e "s+@ifname_v6udpv4@+$(PLATFORM_V6UDPV4)+" \
	     -e "s+@ifname_v6v4@+$(PLATFORM_V6V4)+" \
	     -e "s+@conf_template@+$(PLATFORM)+" \
	     -e "s+@conf_gogoc_dir@+$(INSTALL_DIR)+" \
	     gogoc.conf.in > $(BIN_DIR)/gogoc.conf.sample
	@chmod 700 $(BIN_DIR)/gogoc.conf.sample

clean:
	rm -f $(BIN_DIR)/gogoc.conf.sample

=== gogoc-tsp/man/Makefile ===
# $Id: Makefile,v 1.1 2009/11/20 16:53:18 jasminko Exp $
#
#  Copyright (c) 2007 gogo6 Inc. All rights reserved.
#
#  For license information refer to CLIENT-LICENSE.TXT
#

all:

install:
	@echo Installing man pages
	@mkdir -p $(INSTALL_MAN)/man5
	@mkdir -p $(INSTALL_MAN)/man8
	@cp man5/gogoc.conf.5 $(INSTALL_MAN)/man5
	@cp man8/gogoc.8 $(INSTALL_MAN)/man8
	@echo "To view man pages, run :"
	@echo "    man -M $(INSTALL_MAN) gogoc"
	@echo "    man -M $(INSTALL_MAN) gogoc.conf"

clean:

=== gogoc-tsp/template/Makefile ===
# ###########################################################################
#
# $Id: Makefile,v 1.1 2009/11/20 16:53:43 jasminko Exp $
#
#  This source code copyright (c) gogo6 Inc. 2005,2007.
#
#  LICENSE NOTICE: You may use and modify this source code only if you
#  have executed a valid license agreement with gogo6 Inc. granting
#  you the right to do so, the said license agreement governing such
#  use and modifications.   Copyright or other intellectual property
#  notices are not to be removed from the source code.
#
# ###########################################################################
#

all:

install:
	@echo "Installing templates ..."
	@for template_var in README $(PLATFORM).sh; do \
            cp $${template_var} $(INSTALL_TEMPL)/$${template_var}; \
        done

clean:

=== gogoc-pal/platform/common/Makefile ===
# ###########################################################################
#
# $Id: Makefile,v 1.1 2009/11/20 16:38:48 jasminko Exp $
#
#  Copyright (c) 2007 gogo6 Inc. All rights reserved.
#
#  For license information refer to CLIENT-LICENSE.TXT
#
# Description: Makefile for common platforms
#
# Author: Charles Nepveu
#
# Date: August 2007
#
# ###########################################################################
#

INC_DIR:=inc
SRC_DIR:=src

ifdef DEBUG
CFLAGS+=-c -g -I${DEFS_DIR} -I${INC_DIR} -DPLATFORM=\"${PLATFORM}\" -D_REENTRANT -DDEBUG ${EXTRA_CFLAGS}
else
CFLAGS+=-c -O2 -I${DEFS_DIR} -I${INC_DIR} -DPLATFORM=\"${PLATFORM}\" -D_REENTRANT ${EXTRA_CFLAGS}
endif

OBJS:=$(patsubst ${SRC_DIR}/%.c,${OBJS_DIR}/%.o,$(wildcard ${SRC_DIR}/*.c))


.PHONY: platform-obj platform-inc


#
# ###########################################################################
#

platform-obj: ${OBJS}


${OBJS_DIR}/pal_version.o: ${SRC_DIR}/pal_version.c ${INC_DIR}/pal_version.h
	$(CC) ${CFLAGS} -o $@ ${SRC_DIR}/pal_version.c


#
# ###########################################################################
#

platform-inc:
	@cp -f $(wildcard ${INC_DIR}/*.*) $(OUT_INC_DIR)


#
# ###########################################################################

=== gogoc-pal/platform/netbsd/Makefile ===
# ###########################################################################
#
# $Id: Makefile,v 1.1 2009/11/20 16:38:50 jasminko Exp $
#
#  Copyright (c) 2007 gogo6 Inc. All rights reserved.
#
#  For license information refer to CLIENT-LICENSE.TXT
#
# Description: Makefile for the netbsd platform
#
# Author: Charles Nepveu
#
# Date: August 2007
#
# ###########################################################################
#

INC_DIR:=inc
SRC_DIR:=src
UNIXCOMMON_INC=../unix-common/inc
COMMON_INC=../common/inc

ifdef DEBUG
CFLAGS+=-c -g -I${DEFS_DIR} -I${INC_DIR} -I${UNIXCOMMON_INC} -I${COMMON_INC} -DPLATFORM=\"${PLATFORM}\" -DDEBUG ${EXTRA_CFLAGS}
else
CFLAGS+=-c -O2 -I${DEFS_DIR} -I${INC_DIR} -I${UNIXCOMMON_INC} -I${COMMON_INC} -DPLATFORM=\"${PLATFORM}\" ${EXTRA_CFLAGS}
endif

OBJS:=$(patsubst ${SRC_DIR}/%.c,${OBJS_DIR}/%.o,$(wildcard ${SRC_DIR}/*.c))


.PHONY: platform-obj platform-inc


#
# ###########################################################################
#

platform-obj: ${OBJS}


${OBJS_DIR}/pal_unistd.o: ${SRC_DIR}/pal_unistd.c ${INC_DIR}/pal_unistd.h
	$(CC) ${CFLAGS} -o $@ ${SRC_DIR}/pal_unistd.c


#
# ###########################################################################
#

platform-inc:
	@cp -f $(wildcard ${INC_DIR}/*.*) $(OUT_INC_DIR)


#
# ###########################################################################

=== gogoc-pal/platform/unix-common/Makefile ===
# ###########################################################################
#
# $Id: Makefile,v 1.1 2009/11/20 16:38:51 jasminko Exp $
#
#  Copyright (c) 2007 gogo6 Inc. All rights reserved.
#
#  For license information refer to CLIENT-LICENSE.TXT
#
# Description: Makefile for unix common platforms
#
# Author: Charles Nepveu
#
# Date: August 2007
#
# ###########################################################################
#

INC_DIR:=inc
SRC_DIR:=src
COMMON_INC=../common/inc

ifdef DEBUG
CFLAGS:=-c -g -I${DEFS_DIR} -I${INC_DIR} -I${COMMON_INC} -DPLATFORM=\"${PLATFORM}\" -D_REENTRANT -DDEBUG ${EXTRA_CFLAGS}
else
CFLAGS:=-c -O2 -I${DEFS_DIR} -I${INC_DIR} -I${COMMON_INC} -DPLATFORM=\"${PLATFORM}\" -D_REENTRANT ${EXTRA_CFLAGS}
endif

OBJS:=$(patsubst ${SRC_DIR}/%.c,${OBJS_DIR}/%.o,$(wildcard ${SRC_DIR}/*.c))


.PHONY: platform-obj platform-inc


#
# ###########################################################################
#

platform-obj: ${OBJS}


#
# ###########################################################################
#

platform-inc:
	@cp -f $(wildcard ${INC_DIR}/*.*) $(OUT_INC_DIR)


#
# ###########################################################################

=== debian/changelog ===
gogoc (1:1.2-5) unstable; urgency=low

  * Removed set e from ifup script Closes: #641372
  * Update to standards 3.9.2
  * Change dependency iproute to iproute2
  * Small instruction for gogoc.conf Closes: #636556
  * README.Debian has references for gw6c changed to gogoc Closes: #653833
  * Optional feature to handle multiple interfaces Closes: 651251
  * Removing transistional package gw6c
  * Quote parameters in linux.sh Closes: #694973
  * Adjusted makefile to accept harden flags

 -- Craig Small <csmall@debian.org>  Mon, 30 Sep 2013 08:29:35 +1000

gogoc (1:1.2-4) unstable; urgency=low

  * Changed arch dependent iproute dependency to linux-any Closes: #634806
  * Update standards to 3.9.2 no changes
  * Update debhelper to compat version 8
  * Fixed copyright to DEP-5 format

 -- Craig Small <csmall@debian.org>  Wed, 27 Jul 2011 21:55:31 +1000

gogoc (1:1.2-3) unstable; urgency=low

  * Include stddef.h to fix gcc 4.6 compile problem Closes: #625067
  * Added -n for command line to get key Closes: #605969

 -- Craig Small <csmall@debian.org>  Tue, 03 May 2011 22:28:03 +1000

gogoc (1:1.2-2) unstable; urgency=low

  * gogoc becomes a daemon earlier Closes: #577618

 -- Craig Small <csmall@debian.org>  Sat, 24 Apr 2010 18:28:07 +1000

gogoc (1:1.2-1) unstable; urgency=low

  * iproute Dependency is excluded for freebsd
  * Added note for stopping check keyfile to README Closes: #564963
  * Added Alioth VCS lines
  * Name changed from gw6c to gogoc
  * Removed patches accepted by upstream

 -- Craig Small <csmall@debian.org>  Tue, 30 Mar 2010 21:39:06 +1100

gw6c (6.0.1dfsg.1-8) unstable; urgency=low

  * Removed a quote out of rules

 -- Craig Small <csmall@debian.org>  Mon, 28 Dec 2009 23:48:03 +1100

gw6c (6.0.1dfsg.1-7) unstable; urgency=low

  * Conditionally depend on iproute
  * Put correct template in for freebsd

 -- Craig Small <csmall@debian.org>  Mon, 28 Dec 2009 23:40:30 +1100

gw6c (6.0.1dfsg.1-6) unstable; urgency=low

  [ ???????? ???????????????? (Ahmed El-Mahmoudy) ]
  * debian/rules:
    + Simplify rules file.
    + Fix make invocation to properly generate gw6c.sample.conf
    + Install gw6c.sample.conf also in /etc/gw6c/gw6c.conf (LP: #438658)
  * debian/patches: remove old dpatch files.
  * debian/control:
    + Build-Depend on debhelper >= 7.0.50~ to support debhelper overrides.
    + Remove quilt from Build-Depends.
    + Added ${misc:Depends} to Depends.
  * debian/dirs: Remove dirs that will be created by dh_install anyways.

  [ Craig Small ]
  * Added a keyfile check bypass to init
  * Documented default file

 -- Craig Small <csmall@debian.org>  Fri, 11 Dec 2009 16:58:31 +1100

gw6c (6.0.1dfsg.1-5) unstable; urgency=low

  * Adjust README and init script to die if no server key or config file
  * Closes: #554911
  * Added Ubuntu patch LP:418176
  * Removed -c option and fixed default config file path in gw6c.8
  * clarified GPL version of debian files
  * Changed to quilt patching and source format

 -- Craig Small <csmall@debian.org>  Mon, 07 Dec 2009 21:42:35 +1100

gw6c (6.0.1dfsg.1-4) unstable; urgency=low

  [ أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net> ]
  * debian/patches/10_directories.dpatch: patched
    tspc-advanced/src/tsp/tsp_auth_passdss.c to set path for TSPC_DSA_KEYFILE to
    to /var/lib/gw6c.
  * debian/init.d: increase DIETIME to 5s.

  [ Craig Small ]
  * Adjusted init file to create radvd run dir, if needed
  * Added some more sanity checking in if-up and ppp scripts
  * Updated to standards version 3.8.3

 -- Craig Small <csmall@debian.org>  Sun, 06 Sep 2009 16:38:16 +1000

gw6c (6.0.1dfsg.1-3) unstable; urgency=low

  [ أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net> ]
  * Added if-up, ppp.ip-up and ppp.ip-down scripts.
  * debian/patches/10_directories.dpatch: patched
    ./tspc-advanced/conf/gw6c.conf.in to set default path for broker list and
    last server files to /var/lib/gw6c.
  * debian/dirs: added var/lib/gw6c

  [ Craig Small ]
  * Changed standards version to 3.8.2
  * Changes to make it build on kfreebsd

 -- Craig Small <csmall@debian.org>  Thu, 06 Aug 2009 21:34:02 +1000

gw6c (6.0.1dfsg.1-2) unstable; urgency=low

  [ أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net> ]
  * debian/control: added libssl-dev to Build-Depends.
  * debian/copyright: use © symbol instead of (C).
  * debian/init.d: Fix the logic operation in the line that insures existance 
    of /var/run/gw6c.
  * debian/patches/10_directories.dpatch: edited patch to set TspHomeDir to 
    /usr/share/gw6c.

 -- Craig Small <csmall@debian.org>  Mon, 15 Jun 2009 13:57:30 +1000

gw6c (6.0.1dfsg.1-1) unstable; urgency=low

  * New upstream release Closes: #497476
     License clarified and pdf files removed

 -- Craig Small <csmall@debian.org>  Sun, 14 Jun 2009 10:01:12 +0300

gw6c (5.1-1) unstable; urgency=low

  * Initial release Closes: #497476

 -- Craig Small <csmall@debian.org>  Sun, 20 Jul 2008 16:10:21 +1000

=== debian/control ===
Source: gogoc
Section: net
Priority: extra
Maintainer: Craig Small <csmall@debian.org>
Build-Depends: debhelper (>= 9), libssl-dev
Standards-Version: 3.9.4
Vcs-Browser: http://git.debian.org/?p=collab-maint/gw6c.git
Vcs-Git: git://git.debian.org/collab-maint/gw6c.git
Homepage: http://go6.net/4105/application.asp

Package: gogoc
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, net-tools, iproute2 [linux-any]
Recommends: radvd
Suggests: sipcalc
Description: Client to connect to IPv6 tunnel brokers
 TSP is a control protocol used to establish and maintain static tunnels. 
 The Gateway6 client (gogoc) is used on the host computer to connect to a 
 tunnel broker using the TSP protocol and to get the information for its 
 tunnel. When it receives the information for the tunnel, the Gateway6 
 client creates the static tunnel on its operating system.
 .
 This package was previously called gw6c or tspc.
 .
 sipcalc is only required if you have multiple LAN interfaces you need 
 configuring

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_HOST_ARCH_OS ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)       
                                                                               
ifeq ($(DEB_HOST_ARCH_OS),kfreebsd)                                            
PLATFORM=freebsd
endif                                                                          
ifeq ($(DEB_HOST_ARCH_OS),linux)                                               
PLATFORM=linux
endif                                                                          
  
%:
	dh $@

override_dh_auto_build:
	$(MAKE) all installdir=/usr/share/gogoc platform=$(PLATFORM) 
	$(MAKE) -C gogoc-tsp/conf gogoc.conf.sample PLATFORM=$(PLATFORM) PLATFORM_DIR=../platform installdir=/usr/share/gogoc BIN_DIR=.

override_dh_auto_clean:
	$(MAKE) clean platform=$(PLATFORM) 
	-rm gogoc-tsp/conf/gogoc.conf.sample

override_dh_auto_install:
	install -D gogoc-tsp/conf/gogoc.conf.sample debian/gogoc/etc/gogoc/gogoc.conf

override_dh_install:
	dh_install
	install	-m 755 gogoc-tsp/template/$(PLATFORM).sh debian/gogoc/usr/share/gogoc/template

override_dh_fixperms:
	dh_fixperms
	chmod 600 debian/gogoc/etc/gogoc/gogoc.conf
